> ## Documentation Index
> Fetch the complete documentation index at: https://docs.s15x.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Purchase History

> returns purchase history for user



## OpenAPI

````yaml GET /database/purchase-history
openapi: 3.0.3
info:
  title: APIFiddle Sample Definition
  version: 0.0.0
  description: Example workspace
servers:
  - url: https://api.s15x.dev
    description: s15x api url
security: []
tags:
  - name: purchase-api
  - name: account links
  - name: users
  - name: public
paths:
  /database/purchase-history:
    get:
      tags:
        - purchase-api
      summary: Get purchase history of a user via roblox ID
      description: returns purchase history for user
      operationId: getPurchaseHistoryOfAUserViaRobloxId
      parameters:
        - $ref: '#/components/parameters/x-roblox-id'
      responses:
        '200':
          description: >-
            The request was successful, and the server has returned the
            requested resource in the response body.
          content:
            application/json:
              schema:
                type: object
                required:
                  - data
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      required:
                        - id
                        - product_id
                        - purchase_time
                        - is_fulfilled
                        - fulfillment_time
                        - system_name
                      properties:
                        id:
                          example: 500595751
                          type: string
                        product_id:
                          example: INS-V5-ALL
                          type: string
                        system_name:
                          example: s15x Avatar inspector V5 All
                          type: string
                        is_fulfilled:
                          type: boolean
                        purchase_time:
                          example: '2026-02-07T00:10:18.021Z'
                          type: string
                        fulfillment_time:
                          type: string
                title: GetPurchaseHistoryOfAUserViaRobloxIdOk
        '400':
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    type: string
                title: GetPurchaseHistoryOfAUserViaRobloxIdBadRequest
          description: >-
            The server could not understand the request due to invalid syntax.
            The client should modify the request and try again.
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    type: string
                title: GetPurchaseHistoryOfAUserViaRobloxIdNotFound
          description: >-
            The server cannot find the requested resource. The endpoint may be
            invalid or the resource may no longer exist.
      security:
        - API-Authorization: []
components:
  parameters:
    x-roblox-id:
      in: header
      name: x-roblox-id
      style: simple
      schema:
        type: string
      explode: false
      required: true
      description: Roblox user ID
      allowReserved: false
  responses:
    Forbidden:
      description: >-
        The server understood the request, but refuses to authorize it. Ensure
        the client has appropriate permissions.
      content:
        application/json:
          schema:
            type: object
            required:
              - error
            properties:
              error:
                type: string
                example: 'Forbidden: Invalid API Key'
  securitySchemes:
    API-Authorization:
      type: apiKey
      name: API-Authorization
      in: header
      description: 'Required: API key to access'

````